%global momorel 8

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Intel(R) Open Source Computer Vision Library.
Name: opencv

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/opencv.specopt and edit it.

## Configuration
%{?!do_test:            %global do_test                    0}
%{?!with_ffmpeg:        %global with_ffmpeg                0}
%{?!with_python:        %global with_python                0}

Version: 1.0.0
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: Modified BSD
URL: http://opencv.willowgarage.com/wiki/
Source0: http://dl.sourceforge.net/sourceforge/%{name}library/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: opencv-1.0.0-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel
%if %{with_ffmpeg}
BuildRequires: ffmpeg-devel
%endif
BuildRequires: jasper-devel
# BuildRequires: libdc1394-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
# BuildRequires: libraw1394-devel
BuildRequires: libtiff-devel
BuildRequires: pkgconfig
%if %{with_python}
BuildRequires: python-devel
%endif
# BuildRequires: quicktime-devel
%if %{with_python}
BuildRequires: swig
%endif
# BuildRequires: xine-lib
BuildRequires: zlib-devel

%description 
This is the Intel(R) Open Source Computer Vision Library, a collection
of algorithms for image processing and computer vision. 

%package devel
Summary: Intel(R) Open Source Computer Vision Library Development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The opencv-devel package contains the header files and documentation
needed to develop applications with opencv.

%if %{with_python}
%package python
Summary: Intel(R) Open Source Computer Vision Library Development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description python
The opencv-devel package contains the header files and documentation
needed to develop applications with opencv.
%endif

%prep
%setup -q
%patch0 -p1 -b .gcc44~

%build
%configure \
        --without-xine \
%if %{with_ffmpeg}
        --with-ffmpeg  \
        --without-quicktime \
%else
        --without-ffmpeg \
%endif
%if %{with_python}
	--with-python \
        --with-swig \
%else
	--without-python \
%endif
        --without-1394libs \
        --enable-apps

%make

%check
%if %{do_test}
make check
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

# get rid of la file
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%if %{with_python}
%post python
/sbin/ldconfig

%postun python
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/opencv-*
%{_libdir}/lib*.so.*
%dir %{_datadir}/opencv
%{_datadir}/opencv/haarcascades
%{_datadir}/opencv/readme.txt

%files devel
%defattr(-,root,root)
%{_includedir}/opencv
%{_libdir}/pkgconfig/opencv.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/opencv/doc
%{_datadir}/opencv/samples

%if %{with_python}
%files python
%defattr(-,root,root)
%{python_sitearch}/opencv
%endif

%changelog
* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-8m)
- apply gcc44 patch
- License: Modified BSD

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-7m)
- rebuild against rpm-4.6

* Sun Dec 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-6m)
- go to main for kipi-plugins4
- build without ffmpeg for the moment
- modify specopt, URL, BR, configure %%install and %%files section
- add %%post and %%postun

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-4m)
- %%NoSource -> NoSource

* Sat Jun 16 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-3m)
- Added %dir tags

* Thu Apr 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-2m)
- revise spec
-- fix source url
-- add %%check section
 
* Fri Jan  5 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-1m)
- Initial import
